	program n2o
	real wij(100,100),wjk(100,100),xmin(2,100),xmax(2,100)
	real x(100),xmod(2,100),y(100)
*       the file `n2o.w" contains neural model parameters:
	open(1,file="n2o.w",status="old")	 
	read(1,*) ii,jj,kk
	do 10 i=1,ii
	  read(1,*) xmax(1,i),xmin(1,i),xmod(1,i)
10	continue
	do 20 i=1,kk
	  read(1,*) xmax(2,i),xmin(2,i),xmod(2,i)
20	continue
       	do 30 i=1,ii+1
	  read(1,*) (wij(i,j),j=1,jj)
30        continue
	do 40 j=1,jj+1
	  read(1,*) (wjk(j,k),k=1,kk)
40        continue
********************Input data**********************
*	mole fraction:
	x_amp=0.0633
	x_dea=0.
	x_mdea=0.
	x_mea=0	.02311
*	temperature (K)	
	tempK=308
	
	x(1)= x_amp
	x(2)=x_dea
	x(3)=x_mdea
	x(4)=x_mea
	x(5)=1/tempK
*	write(6,*) (x(i),i=1,5)
	call fctreso(ii,jj,kk,wij,wjk,xmax,xmin,xmod,x,y)	
        write(6,*) y(1)
	end
*****************************************************************	
	subroutine fctreso(ii,jj,kk,wij,wjk,xmax,xmin,xmod,x,y)
	real wij(100,100),wjk(100,100),xmin(2,100),xmax(2,100)
	real x(100),u(100),h(100),s(100),xmod(2,100),y(100)
*       neural network equations:
	  do 100 i=1,ii
	  if (xmod(1,i).eq.0.) then
	    u(i)=(x(i)-xmin(1,i))/(xmax(1,i)-xmin(1,i))
	  else
	    u(i)=(log10(x(i))-xmin(1,i))/(xmax(1,i)-xmin(1,i))
	  endif
100       continue
	  u(ii+1)=1.
          do 110 j=1,jj
            h(j)=0.
            do 120 i=1,ii+1
120         h(j)=h(j)+wij(i,j)*u(i)
110       h(j)=1./(1.+exp(-h(j)))
          h(jj+1)=1.
          do 130 k=1,kk
            s(k)=0.
            do 140 j=1,jj+1
140         s(k)=s(k)+wjk(j,k)*h(j)
          s(k)=1./(1.+exp(-s(k)))
          y(k)=xmin(2,k)+s(k)*(xmax(2,k)-xmin(2,k))
          if(xmod(2,k).eq.1.) then
            y(k)=10.**(y(k))
          endif
130       continue 
	  return
          end
